# Generated from weight-recorder-0.1.10.gem by gem2rpm -*- rpm-spec -*-
%global gem_name weight-recorder

Name: rubygem-%{gem_name}
Version: 0.1.10
Release: 1%{?dist}
Summary: Recording weight and fat, and display chart
License: MIT
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(yard) >= 0.8
# BuildRequires: rubygem(yard) < 1
# BuildRequires: rubygem(redcarpet) >= 2.2
# BuildRequires: rubygem(redcarpet) < 3
# BuildRequires: rubygem(hiki2md)
# BuildRequires: rubygem(mathjax-yard)
# BuildRequires: rubygem(hiki2latex)
BuildArch: noarch

%description
Recording weight and fat, and display chart.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/exe -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/recorder
%{_bindir}/weight-recorder
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%exclude %{gem_instdir}/.yardopts
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/Rakefile.orig
%{gem_instdir}/bin
%{gem_instdir}/config.ru
%{gem_instdir}/exe
%{gem_instdir}/hikis
%{gem_libdir}
%{gem_instdir}/tmp1
%{gem_instdir}/weight-recorder.wiki
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/weight-recorder.gemspec

%changelog
* Wed Aug 25 2021 mockbuilder - 0.1.10-1
- Initial package
